org.bdgenomics.adam.sql

# Genotype

#### class Genotype extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Genotype
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Genotype(variant: Option[Variant], contigName: Option[String], start: Option[Long], end: Option[Long], variantCallingAnnotations: Option[VariantCallingAnnotations], sampleId: Option[String], sampleDescription: Option[String], processingDescription: Option[String], alleles: Seq[String], expectedAlleleDosage: Option[Float], referenceReadDepth: Option[Int], alternateReadDepth: Option[Int], readDepth: Option[Int], minReadDepth: Option[Int], genotypeQuality: Option[Int], genotypeLikelihoods: Seq[Double], nonReferenceLikelihoods: Seq[Double], strandBiasComponents: Seq[Int], splitFromMultiAllelic: Option[Boolean], phased: Option[Boolean], phaseSetId: Option[Int], phaseQuality: Option[Int])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val alleles: Seq[String]

7. #### val alternateReadDepth: Option[Int]

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     Genotype → Equals

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val contigName: Option[String]

12. #### val end: Option[Long]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### val expectedAlleleDosage: Option[Float]

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### val genotypeLikelihoods: Seq[Double]

18. #### val genotypeQuality: Option[Int]

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val minReadDepth: Option[Int]

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### val nonReferenceLikelihoods: Seq[Double]

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### val phaseQuality: Option[Int]

28. #### val phaseSetId: Option[Int]

29. #### val phased: Option[Boolean]

30. #### val processingDescription: Option[String]

31. #### def productArity: Int

    Definition Classes
      Genotype → Product

32. #### def productElement(i: Int): Any

    Definition Classes
      Genotype → Product

33. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

34. #### def productPrefix: String

    Definition Classes
      Product

35. #### val readDepth: Option[Int]

36. #### val referenceReadDepth: Option[Int]

37. #### val sampleDescription: Option[String]

38. #### val sampleId: Option[String]

39. #### val splitFromMultiAllelic: Option[Boolean]

40. #### val start: Option[Long]

41. #### val strandBiasComponents: Seq[Int]

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toAvro: formats.avro.Genotype

44. #### def toString(): String

    Definition Classes
      AnyRef → Any

45. #### val variant: Option[Variant]

46. #### val variantCallingAnnotations: Option[VariantCallingAnnotations]

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped